> ## Documentation Index
> Fetch the complete documentation index at: https://docs.canton.network/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v0/admin/sv/previous-sv-reward-weight



## OpenAPI

````yaml /openapi/splice/scan/scan.yaml post /v0/admin/sv/previous-sv-reward-weight
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/admin/sv/previous-sv-reward-weight:
    post:
      tags:
        - internal
        - scan
      summary: POST /v0/admin/sv/previous-sv-reward-weight
      operationId: getPreviousSvRewardWeight
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreviousSvRewardWeightRequest'
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreviousSvRewardWeightResponse'
components:
  schemas:
    PreviousSvRewardWeightRequest:
      type: object
      required:
        - svParty
      properties:
        svParty:
          type: string
        effectiveBefore:
          type: string
          description: >
            Only consider reward weight changes that took effect strictly before
            this time.
    PreviousSvRewardWeightResponse:
      type: object
      properties:
        rewardWeight:
          type: string
          description: >
            The SV's reward weight set by the most recent accepted
            `UpdateSvRewardWeight` proposal

            before `effectiveBefore`, or absent if there is no such proposal.

````